Package org.apache.lucene.search

## Class IndexSearcher.TooManyClauses

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.search.IndexSearcher.TooManyClauses

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `BooleanQuery.TooManyClauses`, `IndexSearcher.TooManyNestedClauses`
  Enclosing class:
    IndexSearcher

      public static class IndexSearcher.TooManyClauses
      extends RuntimeException

  Thrown when an attempt is made to add more than `getMaxClauseCount()` clauses. This typically happens if a PrefixQuery, FuzzyQuery, WildcardQuery, or TermRangeQuery is expanded to many terms during search.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TooManyClauses()` |
    `TooManyClauses​(String msg)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getMaxClauseCount()` | The value of `IndexSearcher.getMaxClauseCount()` when this Exception was created

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TooManyClauses

          public TooManyClauses​(String msg)

    - #### TooManyClauses

          public TooManyClauses()

  - ### Method Detail

    - #### getMaxClauseCount

          public int getMaxClauseCount()

      The value of `IndexSearcher.getMaxClauseCount()` when this Exception was created